#
# spec file for package pdfshuffler
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pdfshuffler
Version:        0.6.0
Release:        1.3
Summary:        Merge, split, rotate, crop, and rearrange pages of PDF documents
License:        GPL-3.0
Group:          Productivity/Publishing/PDF
Url:            http://%{name}.sourceforge.net/
Source0:        http://iweb.dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
# MANUAL BEGIN
Requires:       python-poppler
Requires:       python-pypdf
Recommends:     %{name}-lang
# MANUAL END
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
PDF-Shuffler lets the user merge or split pdf documents and rotate, crop and
rearrange their pages using an interactive and intuitive graphical interface.
It is a frontend for python-pyPdf.

%lang_package

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%suse_update_desktop_file -r %{name} Graphics VectorGraphics
%find_lang %{name} %{?no_lang_C}
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/pdfshuffler.desktop
%{_mandir}/man1/pdfshuffler.1%{?ext_man}
%{_datadir}/%{name}
%{_datadir}/pixmaps/pdfshuffler.png

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Fri Nov 25 2016 psimons@suse.com
- Edited meta information for clarity.
- Ran spec file through spec-cleaner for consistent formatting.
* Tue Sep 22 2015 malcolmlewis@opensuse.org
- Initial build.
